<script>
    // Formatar o campo "usuario"
    function formatarUsuario() {
        const usuario = document.getElementById("usuario");
        usuario.value = usuario.value
            .toLowerCase() // Letras minúsculas
            .replace(/\s+/g, "_"); // Substituir espaços por "_"
    }

    // Formatar o campo "nome"
    function formatarNome() {
        const nome = document.getElementById("nome");
        nome.value = nome.value
            .toLowerCase()
            .replace(/\b[a-z]{2,}/g, (palavra) =>
                palavra.charAt(0).toUpperCase() + palavra.slice(1)
            ); // Capitaliza palavras com mais de 2 letras
    }

    // Aplicar máscara de CPF
    function mascaraCPF(campo) {
        campo.value = campo.value
            .replace(/\D/g, "") // Remove caracteres não numéricos
            .replace(/(\d{3})(\d)/, "$1.$2") // Adiciona o primeiro ponto
            .replace(/(\d{3})(\d)/, "$1.$2") // Adiciona o segundo ponto
            .replace(/(\d{3})(\d{1,2})$/, "$1-$2"); // Adiciona o traço
    }

    // Aplicar máscara de telefone
    function mascaraTelefone(campo) {
        campo.value = campo.value
            .replace(/\D/g, "") // Remove caracteres não numéricos
            .replace(/^(\d{2})(\d)/g, "($1) $2") // Adiciona parênteses no DDD
            .replace(/(\d{4,5})(\d{4})$/, "$1-$2"); // Adiciona o traço no número
    }
</script>
